[Snort-devel] dpx-1.6 / snort 2.9.7.0 problem?

Zeeuw, L.V. de l.v.de.zeeuw at ...3504...
Tue Nov 4 13:33:32 EST 2014


L.S.

I should like to use dpx-1.6 and snort 2.9.7.0 but I am not able to compile dpx anymore (it worked using snort 2.9.6.1).

#/build.sh
..
dpx.c:260:27: error: 'DynamicPreprocessorData' has no member named 'getRuntimePolicy'
..

In the latest snort-tarball (2.9.7.0) I can not find  _dpd.getRuntimePolicy() being used. 

Using 
# grep _dpd.getRuntimePolicy -R

I will find lots of *.c source files using this function in snort-2.9.6.1 but non in snort-2.9.7.0 ?

/home/luc/Downloads # cd snort-2.9.7.0
/home/luc/Downloads/snort-2.9.7.0 # grep _dpd.getRuntimePolicy -R
... no output ...

/home/luc/Downloads/snort-2.9.7.0 # cd ../snort-2.9.6.1
/home/luc/Downloads/snort-2.9.6.1 # grep _dpd.getRuntimePolicy -R
src/dynamic-examples/dynamic-preprocessor/spp_example.c:    sfPolicyUserPolicySet(ex_config, _dpd.getRuntimePolicy());
src/dynamic-preprocessors/ftptelnet/ftpp_si.c:        tSfPolicyId policy_id = _dpd.getRuntimePolicy();
src/dynamic-preprocessors/ftptelnet/ftpp_si.c:            tSfPolicyId policy_id = _dpd.getRuntimePolicy();
src/dynamic-preprocessors/ftptelnet/snort_ftptelnet.c:    tSfPolicyId policy_id = _dpd.getRuntimePolicy();

etc.

Any help is appreciated.

Regards,

Luc



-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-devel/attachments/20141104/bc9d9dce/attachment.html>


More information about the Snort-devel mailing list